org.gradle.nativeplatform

## Interface NativeDependencySet

-     @Incubating
      public interface NativeDependencySet

  Models a collection of native type dependencies.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileCollection` | `getIncludeRoots()` Returns the header file directories to use at compile time.
    `FileCollection` | `getLinkFiles()` Returns the files to use at link time.
    `FileCollection` | `getRuntimeFiles()` Returns the files to use at runtime.

- - ### Method Detail

    - #### getIncludeRoots

          FileCollection getIncludeRoots()

      Returns the header file directories to use at compile time.

    - #### getLinkFiles

          FileCollection getLinkFiles()

      Returns the files to use at link time.

    - #### getRuntimeFiles

          FileCollection getRuntimeFiles()

      Returns the files to use at runtime.